=== debian/changelog ===
fonts-inter (4.0+ds-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <tar@debian.org>  Fri, 01 Dec 2023 20:41:05 +0100

fonts-inter (4.0~beta9+ds-1) experimental; urgency=medium

  * New upstream version.
  * d/copyright: bump years.
  * Bump standards version to 4.6.2.

 -- Gürkan Myczko <tar@debian.org>  Sat, 27 May 2023 16:15:19 +0200

fonts-inter (4.0~beta8+ds-1) experimental; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <tar@debian.org>  Sat, 08 Apr 2023 22:10:05 +0200
