## fonts-inter 4.1+ds

=== Makefile ===
--- 
+++ 
@@ -233,11 +233,19 @@
 	$(FONTDIR)/var/InterVariable.ttf \
 	$(FONTDIR)/var/InterVariable-Italic.ttf
 
+googlefonts: var
+	. $(VENV) ; gftools fix-family $(FONTDIR)/var/*.ttf \
+	--rename-family "Inter" \
+	--include-source-fixes \
+	-o $(FONTDIR)/googlefonts;
+	. $(VENV) ; gftools fontsetter $(FONTDIR)/googlefonts/Inter[opsz,wght].ttf src/googlefonts-fixes.yaml -o $(FONTDIR)/googlefonts/Inter[opsz,wght].ttf;
+	. $(VENV) ; gftools fontsetter $(FONTDIR)/googlefonts/Inter-Italic[opsz,wght].ttf src/googlefonts-fixes.yaml -o $(FONTDIR)/googlefonts/Inter-Italic[opsz,wght].ttf;
+
 var_web: \
 	$(FONTDIR)/var/InterVariable.woff2 \
 	$(FONTDIR)/var/InterVariable-Italic.woff2
 
-web: var_web static_web
+web: var_web static_web static_web_hinted
 
 static: \
 	$(FONTDIR)/static-hinted/Inter.ttc
@@ -284,8 +292,9 @@
 
 STATIC_FONTS := $(STATIC_TEXT_FONTS) $(STATIC_DISPLAY_FONTS)
 STATIC_FONTS_OTF := $(patsubst %,$(FONTDIR)/static/%.otf,$(STATIC_FONTS))
+STATIC_FONTS_TTF := $(patsubst %,$(FONTDIR)/static-hinted/%.ttf,$(STATIC_FONTS))
 STATIC_FONTS_WEB := $(patsubst %,$(FONTDIR)/static/%.woff2,$(STATIC_FONTS))
-STATIC_FONTS_TTF := $(patsubst %,$(FONTDIR)/static-hinted/%.ttf,$(STATIC_FONTS))
+STATIC_FONTS_WEB_HINTED := $(patsubst %,$(FONTDIR)/static-hinted/%.woff2,$(STATIC_FONTS))
 
 $(FONTDIR)/static/Inter.otc: $(STATIC_FONTS_OTF)
 	. $(VENV) ; python -m fontTools.ttLib.__main__ -o $@ $^
@@ -296,12 +305,13 @@
 static_otf: $(STATIC_FONTS_OTF)
 static_ttf: $(STATIC_FONTS_TTF)
 static_web: $(STATIC_FONTS_WEB)
-
-all: var static web static_otf
+static_web_hinted: $(STATIC_FONTS_WEB_HINTED)
+
+all: var googlefonts static web static_otf
 
 .PHONY: \
 	all var var_web web \
-	static static_otf static_ttf static_web
+	static static_otf static_ttf static_web static_web_hinted
 
 # ---------------------------------------------------------------------------------
 # testing
@@ -321,18 +331,3 @@
 # Calls a server to see if there's a newer version of fontbakery and
 # FAILs if there is. This breaks reproducible builds.
 
-FBAKE_DISABLED += com.google.fonts/check/family/win_ascent_and_descent
-# "FAIL OS/2.usWinAscent value should be equal or greater than 2269,
-#  but got 1984 instead"
-# "FAIL OS/2.usWinDescent value should be equal or greater than 660,
-#  but got 494 instead"
-
-
-FBAKE_DISABLED_STATIC += com.google.fonts/check/family/underline_thickness
-# "Fonts have consistent underline thickness"
-# Inter explicitly have varying underline thickness, matching wght
-
-FBAKE_DISABLED_STATIC += com.google.fonts/check/contour_count
-# This test is pedantic; generates warnings when the number of contours are different
-# than what is usually seen in other fonts. No real world impact.
-
