=== debian/changelog ===
fonts-inter (4.1+ds-1) unstable; urgency=medium

  * New upstream version. (Closes: #1093547)

 -- Alex Myczko <tar@debian.org>  Tue, 18 Feb 2025 11:48:54 +0000

fonts-inter (4.0+ds-2) unstable; urgency=medium

  * Bump standards version to 4.7.0.

 -- Alex Myczko <tar@debian.org>  Tue, 23 Jul 2024 16:09:13 +0000
