=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: fonts
 Priority: optional
 Maintainer: Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>
-Uploaders: Gürkan Myczko <tar@debian.org>
+Uploaders: Alex Myczko <tar@debian.org>
 Build-Depends: debhelper-compat (= 13),
 # commented out for the future, when we switch to build from source again
 # fontmake, ufo2otf, python3-fontforge, fontforge-nox | fontforge
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/fonts-team/fonts-inter.git
 Vcs-Browser: https://salsa.debian.org/fonts-team/fonts-inter
