=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

%:
	dh $@

override_dh_auto_configure:
	@echo NOTHING TO CONFIGURE
#	mkdir -p instance_ufo/features
#	mkdir -p master_ufo/features
#	cp src/features/*.fea instance_ufo/features
#	cp src/features/*.fea master_ufo/features

override_dh_auto_build:
	@echo UNFORTUNATELY THESE CANT BE BUILT FROM SOURCE WITHOUT INTERNET
#	fontmake --expand-features-to-instances -i -o otf -g src/Inter.glyphs
#	fontmake --expand-features-to-instances -o variable -g src/Inter.glyphs

override_dh_auto_test:
	@echo skipping test

override_dh_auto_clean:
	rm -rf instance_ufo/* master_ufo/*
	@echo skipping clean

override_dh_auto_install:
	@echo skipping install
